#include "qgmap.h"
#include "qgpopupmenu.h"
#include <qpopupmenu.h>

QGPopupMenu::QGPopupMenu(QWidget *parent, const char *name)
	: QPopupMenu(parent, name)
{
	connect(this, SIGNAL(highlighted(int)),
			this, SLOT(changePos(int)));
}

void QGPopupMenu::changePos(int id)
{
	selectid = id;
}

void QGPopupMenu::keyPressEvent(QKeyEvent *ev)
{
	if (ev->key() == Key_F33) {
		QKeyEvent *e;
		/* Create & send Key_Return Event */
		e = new QKeyEvent(QEvent::KeyPress, Key_Return,
						  ev->ascii(), ev->state());
		QPopupMenu::keyPressEvent(e);
		delete e;
		ev->accept();
		return;
	}

	QPopupMenu::keyPressEvent(ev);
}
